Subject: Re: [PATCH] net: ynl: return actual error code in ynl_exec_dump()

From: Jakub Kicinski <[email-masked]>
Date: Fri, 26 Sep 2025 11:24:06 -0700

On Fri, 26 Sep 2025 17:58:20 +0800 Haofeng Li wrote:
> Return the real error code 'err' instead of hardcoded -1 in the error
> path of ynl_exec_dump(). This provides better error information to
> callers for debugging and error handling.

Do you have a realistic example that can happen today? This is not
kernel code the error is always -1, and the details are in errno.